/**
 * output package name
 */
package com.kingdee.eas.custom.expandassess.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class PeriodTypeEnum extends StringEnum
{
    public static final String YEAE_VALUE = "1";//alias=Äê¶È
    public static final String QUARTER_VALUE = "2";//alias=¼¾¶È

    public static final PeriodTypeEnum YEAE = new PeriodTypeEnum("YEAE", YEAE_VALUE);
    public static final PeriodTypeEnum QUARTER = new PeriodTypeEnum("QUARTER", QUARTER_VALUE);

    /**
     * construct function
     * @param String periodTypeEnum
     */
    private PeriodTypeEnum(String name, String periodTypeEnum)
    {
        super(name, periodTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static PeriodTypeEnum getEnum(String periodTypeEnum)
    {
        return (PeriodTypeEnum)getEnum(PeriodTypeEnum.class, periodTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(PeriodTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(PeriodTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(PeriodTypeEnum.class);
    }
}